raidutil(8)

NAME
raidutil - RAID Management Configuration Utility

SYNOPSIS
raidutil -c device OS relative
-d device hardware relative
[ -a action (task) control ]
[ -e View event log ]
[ -f Force state ]
[ -g drive group ]
[ -h create hot spare ]
[ -l RAID level ]
[ -r background task rate ]
[ -s logical drive capacity ]
[ -w write caching ]
[ -z stripe size ]
[ -A alarm status and control ]
[ -C load/save configuration ]
[ -D delete logical drive ]
[ -H delete hot spare ]
[ -F update controller firmware ]
[ -I display inquiry information ]
[ -L display list of devices ]
[ -P paginate output ]
[ -X reset NVRAM configuration ]
[ -Z clear all array information from devices ]
[ -q suppress message output during execution ]
[ -? display usage information ]

DESCRIPTION

Use raidutil to perform initial configuration of a disk array when installing the disk array on a system. The parameters -g, -l, -n, -s and -z are used together for logical drive creation. These parameters MUST precede the -g parameter. See the following explanations. You can also use it to change the array configuration if required and perform other controller and array maintenance functions. It allows you to create and delete logical drives and hot spare drives, or display device information from a command line or script.

raidutil can also update the firmware on the adapter card. It will automatically recognize whether the supplied image is new controller firmware, BIOS, SMOR or NVRAM default image and place the image in the appropriate flash memory location.

This utility performs operations as soon as it has enough information from the command line to do so. It will not parse the entire command line before performing an operation. It performs operations in series as long as there are actions on the command line for it to carry out, up to the first failure it encounters. If raidutil does not have all of the necessary information when it decides to perform an action, it will return an error. Furthermore, it is possible for raidutil to partially succeed. That is, it was able to perform the first <n> actions, then encountered something it could not do. In this case, it will exit with an appropriate error message. Each major operation taken by raidutil will result in a one-line pass/fail indicator displayed on the screen (unless in "quiet" mode [-q]).

In general, you can perform multiple operations on one command line. However, make sure you are aware of the groupings and restrictions described in the following sections to ensure that the functions are carried out correctly.

OPTIONS

-A  When no parameters follow the switch, the alarm status and enable flags are displayed.

    [-A on] Forces the audible alarm to sound.
    [-A off] Silences the audible alarm when it is on.
    [-A enable] Allow the alarm to be heard when a failure occurs.
    [-A disable] Prevents the alarm from sounding for any reason.

-c  Specify the device name, as assigned by your operating system, of the RAID controller to configure (this is a required parameter).

    -c c1 to specify controller 1

-C  This switch has two options:

    load
    which will load the specified configuration file.

    save
    which saves the current configuration to the file name specified.

    A file name must follow the load or save parameter. This is a .DSM file, which can also be loaded or saved using Storage Manager.

-d  Specify the device name, in Adaptec format, of the RAID controller to configure (this is a required parameter). Controllers are assigned IDs starting with 0 based on the PCI slot location from lowest to highest.

-D  Delete a logical drive and return the capacity to unassigned space.

    raidutil -c c1 -D all

    all logical drives are deleted.

    raidutil -c c1 -D 1,2

    The logical drives with IDs 1 and 2 on controller 1 are deleted.

-e  This switch lets you display or delete the entries in the controller event log using the following parameters:

    [-e soft] Display all log data (Level 1)
    [-e recov] Display only recoverable hard errors (Level 2)
    [-e nonrecov] Display only nonrecoverable hard errors (Level 3)
    [-e status] Display only status changes (Level 4)
    [-e delete] Delete all log entries for the controller.
    d# The target controller ID for this command.

    Examples:

    raidutil -e soft -d0
    displays all log entries for controller 0.

    raidutil -e delete d1
    Deletes all event log entries on controller 1.

-f  Forces an array to an Optimal status or Failed status.

    raidutil -f optimal d1b1t0d0
    will force the device at address d1b1t0d0 to an Optimal status.

    raidutil -f fail d1b1t0d0
    will force the device at address d1b1t0d0 to a Failed status.

-F  Updates the controller firmware. Specify a file name that contains the new flash firmware image. If no file name is provided, stdin is assumed. The utility will automatically determine the flash image type and ensure that the image is written to the appropriate flash memory region.

    NOTE: After flashing a new NVRAM default image, perform a reset NVRAM configuration command (-X) to transfer the new default image to NVRAM space on the adapter.

-g  Specify drive group (for example, -g c1t1d0,c2t1d0,c3t1d0) for logical drive creation. In the standard address form: cXtXdXsX to specify logical controller ID (cX), physical target ID (tX), Drive LUN (dX) and slice or partition (sX).

    To create a RAID 10 configuration specify groups in pairs as follows:

    raidutil -c c1 -l 1 -g c1t1d0,c1t2d0,c1t3d0,c1t4d0

    To create a RAID 50 configuration specify groups in pairs as follows using the + character to indicate the parity group:

    raidutil -c c1 -l 5 -g c1t1d0,c1t2d0,c1t3d0,c1t4d0+c1t9d0,c1t10d0,c1t11d0

    See associated parameters -l, -n, -s, -z. If used, these parameters MUST precede the -g parameter. You must use commas to separate drive identifiers. The list of drives in a drive group cannot contain any spaces.

    RAID 0 can be 1 to 64 drives
    RAID 1 can be 2 to 64 drives (must be multiples of two.)
    RAID 5 can be 3 to 64 drives
    RAID 10 can be 4 to 64 drives (must groups of two drives each.)
    RAID 50 can be 6 to 64 drives

-h  Create one or more hot spare drives. In the standard address form: cXtXdXsX to specify logical controller ID (cX), physical target ID (tX), Drive LUN (dX) and slice or partition (sX). Use commas to separate device addresses.

    raidutil -c c1 -h c1t0d0,c2t0d0

    creates hot spares using drive ID 0 on bus 0 and drive ID 0 on bus 1.

    NOTE: Each bus on the adapter card forms a new controller identifier. Use the [-L controllers] and [-L physical] results to confirm device locations and addresses.

-H  Delete a hot spare drive where the first number is the channel and the second number is the SCSI ID of each drive. Use commas to separate drive identifiers.

    raidutil -c c1 -H c1t0d0,c2t0d0

    removes hot spare assignment from the drives at ID 0 on bus 0 and ID 0 on bus 1 of controller 1.

    With no device ID [-H all] all hot spare drives are deleted.

-I  Display device inquiry information. If no parameters follow this switch, it displays only the controller information such as, firmware revision, BIOS version, and serial number. If a physical device address is used, the information for that device is displayed.

-l  Specify RAID level (0, 1 or 5). If the -l parameter is omitted, RAID 5 is the default. See associated parameters -n, -s, -z. These parameters MUST precede the -g parameter.

-L  Display list of devices. If a controller is not specified, each information for controller is listed along with all attached devices.

    The following formats can be used:

    [-L battery] displays information about the battery module

    [-L controller] lists controller information

    [-L cache] displays the device caching mode.

    [-L inquiry] displays the device capabilities as reported to the controller.

    [-L logical] lists logical drives (arrays) by number

    [-L physical] lists all devices attached to a controller

    [-L raid] returns a list of logical drives (arrays)
    [-L array] and constituent physical drives

    [-L redirect] displays a list of any redirected devices

    [-L spare] lists hot spare drive

    [-L speed] displays a list of the bus speed for all connected devices

    [-L version] displays the version numbers for controller firmware, SMOR, BIOS, and NVRAM.

    [-L all] to return all of the above listings.

-n  Specify the logical drive number (LUN) to be created. You MUST specify the logical drive number when creating a logical drive or the logical drive will not be created. If you are creating multiple logical drives on the same drive group, there must be commas between the logical drive numbers (e.g. -n 1,2).

    See associated parameters -l, -s, -z. These parameters MUST precede the -g parameter.

-P  Limits output to 22 lines, then prompts to press Enter to continue. Pressing Enter prints another 22 lines. Use this switch before -L to prevent lengthy output from scrolling off the screen.

-q  Suppress display of messages during raidutil execution. This is useful when running raidutil from a script.

    NOTE: If this option is to suppress all output, it must be the first parameter on the command line.

-r  This switch sets a task priority for the device or logical drive. The parameter can be 0 - 9; with 0 being the slowest and 9 being the fastest. You can also specify the rate as follows:

    -r slow = 1
    -r medslow = 3
    -r med = 5
    -r medfast = 7
    -r fast = 9

    The device address is required. Specify logical drives by their device addresses. You can set the rate for all logical drives on a controller by using the device address of the controller.

-s  Specify logical drive capacity (in megabytes). For example, -s 1000 would create a 1 gigabyte logical drive. If this switch is omitted or if the capacity specified exceeds the available capacity, the maximum available capacity is used. See associated parameters -l, -n, -z. These parameters MUST precede the -g parameter.

-w  Options are on and off. The default (on) uses write-back caching. [-w off] enables write-through operation. Specify drives using the device address.

-X  Reset NVRAM configuration. This option resets the controller configuration to its default settings.

-z  Specify stripe size (in kilobytes) for RAID 0 or 5. The stripe size is the number of contiguous blocks written to a single drive before writing to the next drive in the logical drive. See associated parameters -l, -n, -s. These parameters MUST precede the -g parameter.

    If this parameter is omitted, the default stripe size is used. Valid values are 8, 16, 32, 64 and 128.

-Z  Clear RAID table information from devices. The device can be specified as a controller, array or target. You can also specify groups of these devices. Separate multiple device specifications with commas.

    raidutil -Z c2

    clears all RAID tables for controller 2.

    raidutil -Z c1t2d0,c1t3d0,c1t4d0

    clears RAID tables on the specified target drives (2,3,4)

-?  Display usage information. This option displays a summary of the command line switches.

EXIT CODES
0 - Error-free termination

1 - Error termination (message log will contain the error message)

NOTES
Invoking raidutil with no arguments or with an unrecognized parameter will cause usage information to be displayed (the same result as using -?).

If you are going to delete a hot spare (-H) or a logical drive (-D), always perform that operation as the first parameter on the command line (after the -c or -q).

If you are doing multiple logical drive creations on the same command line, make sure that you have commas between the drives specified with the -g parameter.

EXAMPLE
The command line entry:

raidutil -c c1 -D all -n 0 -l 5 -s 1000 -z 32 -g c1t1d0,c2t1d0,c3t1d0

would perform the following actions on the device:

(1) delete all existing logical drives

(2) create a new logical drive (number 0) using RAID 5, with a capacity of 1 GB, a 32 KB stripe size, and consisting of the 3 drives indicated after the -g parameter.

The command target device name takes the form
    [cXtXdXsX]; you must specify at least the controller number (cX).

SEE ALSO